/* 

Exception definitions
=====================
 
Required API version: v1.0.0 

The main.js script shall use UpdateFailedException to inform the User what went wrong during the update process at high level.

try {
} catch (exception) {
    throw new UpdateFailedException("Failed to execute some big task. Cool down and read the hints carefully.", exception);
}

*/

if(typeof UpdateFailedException === 'undefined') {
    Object.defineProperty(this, 'UpdateFailedException', {value: Java.type("lightware.ldu2.exception.Ldu2Exception")});
}
